Компания
GET
/v1/company
const url = 'https://api-admin.billz.ai/v1/company';const options = { method: 'GET', headers: { 'platform-id': '7d4a4c38-dd84-4902-b744-0488b80a4c01', Authorization: 'Bearer <token>' }};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api-admin.billz.ai/v1/company \ --header 'Authorization: Bearer <token>' \ --header 'platform-id: 7d4a4c38-dd84-4902-b744-0488b80a4c01'Коды ошибок: 400 — ошибка валидации входных данных; 404 — объект не найден; 401, 403, 429, 500 — общие для всех методов. Форматы тела и семантика — Коды ответов и ошибки.
Authorizations
Заголовок раздела «Authorizations»Parameters
Заголовок раздела «Parameters»Header Parameters
Заголовок раздела «Header Parameters»accept-language
string
ru, uz или en; по умолчанию ru. Влияет на локализованные поля
platform-id
string
Идентификатор платформы. Для интеграций используется статичное значение.
Responses
Заголовок раздела «Responses»Успешный ответ
Media typeapplication/json
object
id
string
country_id
string
time_zone_id
string
name
string
email
string
legal_name
string
address
string
legal_country_id
string
postcode
string
inn
string
mfo
string
bank_accounts
Вложенный объект
Array<string>
subdomen
string
is_active
boolean
last_order
Вложенный объект
string
created_at
string
shops_count
integer format: int32
last_purchase_date
string
user_phone_number
Отсутствует в ответе, если значение пустое
string
segment_id
string
segment_name
string
is_blocked
true — компания заблокирована, все запросы к API отвечают 403
boolean
time_zone_name
string
time_zone_gmt
string
is_paid
boolean
is_test
boolean
login_from_web
boolean
finances_enabled
boolean
sales_manager
string
service_manager
string
link_to_amocrm
string
chargebee_client_id
string
cashbox_mode
string
default_product_class_code
string
default_product_package_code
string
legal_group
string
contract_number
string
contract_date
string
onboarding_type
string
Examplegenerated
{ "id": "example", "country_id": "example", "time_zone_id": "example", "name": "example", "email": "example", "legal_name": "example", "address": "example", "legal_country_id": "example", "postcode": "example", "inn": "example", "mfo": "example", "bank_accounts": [ "example" ], "subdomen": "example", "is_active": true, "last_order": "example", "created_at": "example", "shops_count": 1, "last_purchase_date": "example", "user_phone_number": "example", "segment_id": "example", "segment_name": "example", "is_blocked": true, "time_zone_name": "example", "time_zone_gmt": "example", "is_paid": true, "is_test": true, "login_from_web": true, "finances_enabled": true, "sales_manager": "example", "service_manager": "example", "link_to_amocrm": "example", "chargebee_client_id": "example", "cashbox_mode": "example", "default_product_class_code": "example", "default_product_package_code": "example", "legal_group": "example", "contract_number": "example", "contract_date": "example", "onboarding_type": "example"}